--modules to use
local Renderer = require "renderer"
local GameLoop = require "gameLoop"
local TwoVec = require "twoVec"
local rect = require "objects/rect"
local entity = require "objects/entity"
local world = require "world"

--Creates renderer from module renderer en gameloop from module gameloop
renderer = Renderer:create()
gameLoop = GameLoop:create()

--Width & height of the game window
gWidht = love.graphics.getWidth()
gHeight = love.graphics.getHeight()

-- current Game time (unused)
gGameTime = 0

--level to load + player
local currentWorld = world:new("level1")
local player = require "objects/player":new(currentWorld.spawn[1],currentWorld.spawn[2],currentWorld)

--loads everything that is needed for the game
function love.load()
	player:load()
end

--updates everything that is needed for the game
function love.update(dt)

	--loops over all the objects
	gameLoop:update(dt)
	
	--unused
	gGameTime = gGameTime + dt
	
end

--draws everything on the screen
function love.draw()

	renderer:draw()
	love.graphics.setColor(255,255,255)
	currentWorld:draw()
end