--initialize module
local Renderer = {}

--number of layers
local num_of_layers = 5

--constructor for the renderer class
function Renderer:create()

	local renderer = {}
	
	setmetatable(renderer, { __index = Renderer } )
	
	--create the different layers
	renderer.drawers = {}
	for i = 1, num_of_layers do
		renderer.drawers[i] = {}
	end
	
	return renderer
	
end

--function to add an object to the chosen layer in the renderer
function Renderer:addRenderer(obj, layer)
		local l = layer or 1
		table.insert(self.drawers[l],obj)
end

--draw all objects in the renderer from the first layer to the last
function Renderer:draw()
	for layer = 1,#self.drawers do
		for draw = 1,#self.drawers[layer] do
			local obj = self.drawers[layer][draw]
			obj:draw()
		end
	end
end

--end of the module
return Renderer