--Initialize world module
local World = {}

--Constructor of world with the given level
function World:new(levelName)
	local world = {}
	
	--loads level from assets folder
	local map = require ("assets/levels/"..levelName)
	
	--level specific details (some of them are not yet used)
	world.level = map.layout
	world.matrix = map.matrix
	world.width = map.width
	world.height = map.height
	world.tileSize = map.tileSize
	world.style = map.style
	world.spawn = map.spawn
	
	--draw level tiles
	function world:draw()
		for tiles = 1,#world.level do
			if world.level[tiles][1] == "solid" then
				love.graphics.rectangle("fill", world.level[tiles][2][1], world.level[tiles][2][2], world.tileSize, world.tileSize )
			end
		end	
	end
	
	--returns the type of the coordinate in the world (solid or not)
	function world:giveTileType(x,y)
		local flr = math.floor	
		return world.matrix[flr(y/world.tileSize) + 1][flr(x/world.tileSize) + 1]
	end
	
	return world	
end

return World